
import { Button, ScrollView, Text, View } from "@tarojs/components"
import { useState } from "react"
import "./index.scss"

interface Params{
  refresherEnabled?: boolean,//是否开启刷新
  onSelect?: (item:any,index:number)=>void,//列表选择

}

// 地址列表
const AddressList = (props:Params)=>{
  // 处理刷新
  const [refreshState, setRefreshState] = useState(false);
  const handleRefresh = ()=>{
    setRefreshState(true);
    setTimeout(()=>{
      setRefreshState(false);
    },3000)
    
  }

  return (
    <View className="address-scroll-view">
      <ScrollView scrollY refresherEnabled={props.refresherEnabled} enhanced refresherTriggered={refreshState} onRefresherRefresh={handleRefresh}>
        {
          Array.from({length:15}).map((item,index)=>{
            return(
              <View onClick={()=>props.onSelect&&props.onSelect(item,index)} className="address-list">
                <View className="address-user">
                  XL纺织
                  <Text className="address-list-default">默认</Text>
                  {/* <Text className="address-list-phone">1656488999</Text> */}
                </View>
                <View className="address-list-bottom">
                  <View className="address-list-info">
                    **省**市**区**街道****仓库
                    <Text className="address-list-phone">181****9790</Text>
                  </View>
                  <View className="address-edit">1</View>
                </View>
              </View>
            );
          })
        }
      </ScrollView>
      <Button hoverClass="none" className="add-address">添加收货地址</Button>
    </View>
  )
}

export default AddressList;