
import Address from "@/components/address"
import { Button, Input, Text, Textarea, View } from "@tarojs/components"
import { useState } from "react"
import "./index.scss"

export default ()=>{
  const [showSiteModal, setShowSiteModal] = useState(false);
  const handleSelectSite = ()=>{
    setShowSiteModal(true);
  }

  // 保存
  const [formData, setFormData] = useState({
    aa: "",
    bb:"",
    cc:"",
    dd:""
  })
  const handleSave = ()=>{

  }

  return (
    <View className="add-address">
      <FromList value={formData["aa"]} label="联系人" placeholder="请输入收货人姓名"/>
      <FromList value={formData["bb"]} label="联系方式" placeholder="请输入收货人姓名"/>
      <FromList value={formData["cc"]} onClick={handleSelectSite} label="收地址" type="select" placeholder="请选择/省/市/区"/>
      <FromList value={formData["dd"]} label="详细地址" type="textarea" placeholder="请输入详细地址（街道、门牌号等）"/>
      <View className="add-address-default">
        <Text>设为默认地址</Text>
        <View>1</View>
      </View>
      
      <Button hoverClass="none" className="add-address-save" onClick={handleSave}>保存</Button>
      <Address addressOnClose={()=>setShowSiteModal(false)} show={showSiteModal}/>
    </View>
  )
}

// 表单列表
const FromList = (props:ListParams)=>{
  const {type="input",value=""} = props;
  
  return (
    <View className="form-list">
      <View className="form-list-label">{props.label}</View>
      <View onClick={props?.onClick} className="form-list-right">
        {
          props.children??(
            type=="input"?<Input value={value} placeholder-class="phcolor" onInput={props?.onInput} placeholder={props.placeholder} />:
            type=="textarea"?<Textarea value={value} placeholder-class="phcolor" onInput={props?.onInput} placeholder={props.placeholder} />:
            <>
              {
                props.value?<View>{value}</View>:
                <View className="form-list-right-placeholder">
                  {props.placeholder}
                </View>
              }
              <View className="form-list-right-enter">1</View>
            </>
          )
        }
      </View>
    </View>
  )
}
interface ListParams{
  label: string, //左边label
  onInput?: ()=>any, // 输入框输入
  onClick?:()=>any, //点击列表
  placeholder?:string, // 提示文本
  children?: any, // 插槽
  type?: string  // 类型：1.input,2.textarea,3.select
  value?: any
}